VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::techpreview::monitoring::SnmpDefinitions Class Reference

Defines the type descriptors for the Snmp API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPLimits
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPTestResults
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPStats
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPConfig
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPUser
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPv3Target
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPv1TrapTarget
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPRemoteUser
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPConfigReadOnly
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPHashConfig
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | SNMPHashResults
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | resetInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | resetOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | enableInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | enableOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | hashInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | hashOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | limitsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | limitsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | disableInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | disableOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | set_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | set_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | testInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | testOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | statsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | statsOutput

## Detailed Description

Defines the type descriptors for the Snmp API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::disableInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::disableOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::enableInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::enableOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPConfigReadOnly.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::hashInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("config", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPHashConfig.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::hashOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPHashResults.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::limitsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::limitsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPLimits.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::resetInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::resetOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::set_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("config", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPConfig.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::set_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPConfig`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("authentication", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto)));
                    fields.Add("communities", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("engineid", new vmware.vapi.bindings.type.StringType());
                    fields.Add("loglevel", new vmware.vapi.bindings.type.StringType());
                    fields.Add("notraps", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("port", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("privacy", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto)));
                    fields.Add("remoteusers", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("syscontact", new vmware.vapi.bindings.type.StringType());
                    fields.Add("syslocation", new vmware.vapi.bindings.type.StringType());
                    fields.Add("targets", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("users", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("v3targets", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_config", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPConfigReadOnly`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("authentication", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto)));
                    fields.Add("communities", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("enable", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("engineid", new vmware.vapi.bindings.type.StringType());
                    fields.Add("loglevel", new vmware.vapi.bindings.type.StringType());
                    fields.Add("notraps", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("port", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("privacy", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto)));
                    fields.Add("syscontact", new vmware.vapi.bindings.type.StringType());
                    fields.Add("syslocation", new vmware.vapi.bindings.type.StringType());
                    fields.Add("targets", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPv1TrapTarget.Value))));
                    fields.Add("users", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPUser.Value))));
                    fields.Add("remoteusers", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPRemoteUser.Value))));
                    fields.Add("v3targets", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPv3Target.Value))));
                    fields.Add("pid", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_config_read_only", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPHashConfig`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("auth_hash", new vmware.vapi.bindings.type.StringType());
                    fields.Add("priv_hash", new vmware.vapi.bindings.type.StringType());
                    fields.Add("raw_secret", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_hash_config", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPHashResults`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("auth_key", new vmware.vapi.bindings.type.StringType());
                    fields.Add("priv_key", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_hash_results", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPLimits`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("max_communities", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("max_trap_destinations_v1", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("max_destinations_v3", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("max_notification_filters", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("max_community_length", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("max_buffer_size", new vmware.vapi.bindings.type.IntegerType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_limits", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPRemoteUser`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("sec_level", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel)));
                    fields.Add("authentication", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto)));
                    fields.Add("auth_key", new vmware.vapi.bindings.type.StringType());
                    fields.Add("privacy", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto)));
                    fields.Add("priv_key", new vmware.vapi.bindings.type.StringType());
                    fields.Add("engineid", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_remote_user", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPRemoteUser), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPStats`[static]`

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPTestResults`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("success", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("message", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_test_results", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPUser`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("sec_level", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel)));
                    fields.Add("auth_key", new vmware.vapi.bindings.type.StringType());
                    fields.Add("priv_key", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNMP_user", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPUser), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPv1TrapTarget`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("ip", new vmware.vapi.bindings.type.StringType());
                    fields.Add("port", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("community", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNM_pv1_trap_target", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv1TrapTarget), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::SNMPv3Target`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Notfication)));
                    fields.Add("sec_level", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPSecLevel)));
                    fields.Add("ip", new vmware.vapi.bindings.type.StringType());
                    fields.Add("port", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("user", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.monitoring.snmp.SNM_pv3_target", fields, typeof(vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Target), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::statsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::statsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPStats.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::testInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::monitoring::SnmpDefinitions::testOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.monitoring.SnmpDefinitions.SNMPTestResults.Value));
                })

The documentation for this class was generated from the following file:

- SnmpDefinitions.cs